# Class InstantiationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.ReflectiveOperationException
java.lang.InstantiationException

All Implemented Interfaces:
  `Serializable`

public class InstantiationException extends ReflectiveOperationException
Thrown when an application tries to create an instance of a class using the `newInstance` method in class `Class`, but the specified class object cannot be instantiated. The instantiation can fail for a variety of reasons including but not limited to:

- the class object represents an abstract class, an interface, an array class, a primitive type, or `void`
- the class has no nullary constructor

Since:
  1.0
See Also:
  - `Class.newInstance()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InstantiationException()`
Constructs an `InstantiationException` with no detail message.
`InstantiationException(String s)`
Constructs an `InstantiationException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InstantiationException

public InstantiationException()
Constructs an `InstantiationException` with no detail message.

### InstantiationException

public InstantiationException(String s)
Constructs an `InstantiationException` with the specified detail message.

Parameters:
  `s` - the detail message.